apiVersion: machine.openshift.io/v1beta1
kind: MachineSet
metadata:
  annotations:
    machine.openshift.io/memoryMb: "16384"
    machine.openshift.io/vCPU: "4"
  creationTimestamp: "2024-06-13T14:27:38Z"
  generation: 1
  labels:
    hive.openshift.io/machine-pool: worker
    hive.openshift.io/managed: "true"
    machine.openshift.io/cluster-api-cluster: jshuibm-rgc78
  name: jshuibm-rgc78-worker-1
  namespace: openshift-machine-api
  resourceVersion: "31030"
  uid: 6ad30726-3621-4521-86d2-e94435924e23
spec:
  replicas: 1
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: jshuibm-rgc78
      machine.openshift.io/cluster-api-machineset: jshuibm-rgc78-worker-1
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: jshuibm-rgc78
        machine.openshift.io/cluster-api-machine-role: worker
        machine.openshift.io/cluster-api-machine-type: worker
        machine.openshift.io/cluster-api-machineset: jshuibm-rgc78-worker-1
    spec:
      lifecycleHooks: {}
      metadata: {}
      providerSpec:
        value:
          apiVersion: ibmcloudproviderconfig.openshift.io/v1beta1
          bootVolume:
            encryptionKey: ""
          credentialsSecret:
            name: ibmcloud-credentials
          image: jshuibm-rgc78-rhcos
          kind: IBMCloudMachineProviderSpec
          metadata:
            creationTimestamp: null
          primaryNetworkInterface:
            securityGroups:
            - jshuibm-rgc78-sg-cluster-wide
            - jshuibm-rgc78-sg-openshift-net
            subnet: jshuibm-rgc78-subnet-compute-eu-gb-1
          profile: bx2-4x16
          region: eu-gb
          resourceGroup: jshuibm-rgc78
          userDataSecret:
            name: worker-user-data
          vpc: jshuibm-rgc78-vpc
          zone: eu-gb-1
status:
  availableReplicas: 1
  fullyLabeledReplicas: 1
  observedGeneration: 1
  readyReplicas: 1
  replicas: 1
